OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.SeparateShaderObjects

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTSeparateShaderObjects :: MonadIO m => m Bool
- gl_EXT_separate_shader_objects :: Bool
- pattern GL_ACTIVE_PROGRAM_EXT :: GLenum
- glActiveProgramEXT :: MonadIO m => GLuint -> m ()
- glCreateShaderProgramEXT :: MonadIO m => GLenum -> Ptr GLchar -> m GLuint
- glUseShaderProgramEXT :: MonadIO m => GLenum -> GLuint -> m ()

# Extension Support

glGetEXTSeparateShaderObjects :: MonadIO m => m Bool Source #

Is the EXT_separate_shader_objects extension supported?

gl_EXT_separate_shader_objects :: Bool Source #

Is the EXT_separate_shader_objects extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTSeparateShaderObjects` in those cases instead.

# Enums

pattern GL_ACTIVE_PROGRAM_EXT :: GLenum Source #

# Functions

glActiveProgramEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

glCreateShaderProgramEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ShaderType.
-> Ptr GLchar | `string`.
-> m GLuint |

glUseShaderProgramEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `program`.
-> m () |